<?php
include_once('../inc/api_cred.php');
require_once ('../librerias/dompdf/autoload.inc.php');
use Dompdf\Dompdf;


$ch4 = curl_init($apiUrl . '/public/informejustificacion'); //create a new cURL resource
$payload4 = json_encode(array(
'fecha_inicio' => $_POST["txtFecha_inicio"],
'fecha_termino' => $_POST["txtFecha_termino"]
));
curl_setopt($ch4, CURLOPT_POSTFIELDS, $payload4);//attach encoded JSON string to the POST fields
curl_setopt($ch4, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
curl_setopt($ch4, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
$result4 = curl_exec($ch4); //execute the POST request
$array4 = json_decode($result4);

$permisoHTML = "";				
foreach ($array4[0] as $row) {
	$permisoHTML .= "<tr>";			
	$permisoHTML .= "<td>". $row->fecha ."</td>";		
	$permisoHTML .= "<td>".STRTOUPPER(utf8_decode($row->tipo_justificacion)) ."</td>";	
	$permisoHTML .= "<td>". STRTOUPPER(utf8_decode($row->nombre . " ". $row->apellido)) ."</td>";			
	$permisoHTML .= "</tr>";		
}
 		 

curl_close($ch4); 	
echo $result4;
exit(0);
			
/***************************************************/
				
$html = '
<style>
body{
	font-size:10px;
}
h3{
	font-size:20px;
	display:inline;
}
h4{
	font-size:14px;
	display:inline;	
}

.tbl-marcaje th {
  color: #000000;
  background-color: #CCCCCC;
  border:solid 1px #000000;
}
.tbl-marcaje td {
	border:solid 1px #000000;
}

</style>
<div>
	<img style="max-height:50px;" src="../img/002.png" />
</div> 
<table width="100%">
	<tr>
		<td width="70%"><b>COMPA&Ntilde;IA :</b> CORP MUNICIPAL PARA EL DESARROLLO SOCIAL</td>	
	    <td><b>PERIODO DESDE :</b> '. $_POST["txtFecha_inicio"] .'</td>			
	</tr>
	<tr>		
		<td width="70%"><b>RUT :</b> 70.983.600-5</td>	
	<td><b>PERIODO HASTA :</b> '. $_POST["txtFecha_termino"] .'</td>			
	</tr>	
</table><br /> 

		
<center><h3>Informe Justificaci&oacute;n de Inasistencias</h3></center> 
<br /> 	
<h4>Listado de Trabajadores</h4>
<br /><br />
<table class="tbl-marcaje" width="100%">
	<tr>
		<th><b>FECHA </b></th>
		<th><b>TIPO DE JUSTIFICACION </b></th>
		<th><b>TRABAJADOR </b></th>			
	</tr>
	'.$permisoHTML.'		
		
</table>  


';

$pdf = new DOMPDF();
$pdf->set_paper("A4", "portrait");
$pdf->load_html(utf8_encode($html));
$pdf->render();
$pdf->stream("marcajes.pdf", array("Attachment" => false));
exit(0);

?>
